/**********************************************************************
General Website Configuration
**********************************************************************/
body{
    height: 100%;
}

.transparency{
    opacity: 0.90;
    -moz-opacity: .90;
    filter: alpha(opacity=90);
}

.dropdown-menu{
    background-color: rgba(256,256,256, 1.0);
}

.header {
  background-color: white;
  width: 100%;
  padding-left: 3em;
  padding-right: 3em;
  font-family: 'Roboto', sans-serif;
}

#announcements {
    font-family: 'Roboto', sans-serif;
}

.header h2 {
    color: #264040;
    font-size: 48px;
}

.card-header {
    background-color: #28a745;
    color: white;
}

/**********************************************************************
General Div Configuration
**********************************************************************/
div.section{
    margin: 0 auto;
    padding: 10px;
}

div.section {
    background-color: #208437;
}

div.public-comment, div.public-comment p{
    color: lightskyblue;
}

div.public-comment, div.comment{
    padding: 5px;
    margin: 10px;
    border: white 2px solid;
}

div.public-comment, div.comment p, h2, h4, h5{
    text-align: center;
    padding: 5px;
}

div.comment, h2, h4{
    color: white;
}

#site-name{
    color: white;
    float: left;
    text-align: center;
}

.end-float{
    clear: both;
}

.space{
    clear: both;
    padding: 20px;
}

a.size{
    font-size: 24px;
}
a:link, a:visited{
    text-decoration: none;
}

.btn-info {
    color: floralwhite !important;
}

a:hover{
    color: #6db33f;
    
}

a.faq-title:link, a.faq-title:visited{
    color: white;
    text-decoration: none;
}

a.faq-title:hover{
    color:white;
    text-shadow: 0 0 3px white;
}

a.foot-link, .foot-link:visited{
    color:white;
    text-decoration: none;
}

.foot-link:hover{
    color:white;
    text-shadow: 0 0 3px white;
}

p.center{
    text-align: center;
}

.side-patting{
    margin: 0px 20px;
}

#footer{
    padding: 10px;
}

br{
    clear: both;
}

table, td, th{
    color:black;
    text-align:left;
    font-size:12px;
    padding-left: 2px;
    padding-right: 2px;
    margin: 0px;
}

p{
    color:black;   
}

.title-text, h3, legend{
    color:white;
}

h3.list-title {
    color: #208437;
    padding-left: 1em;
}

.studentwordcontainer{
    background-color: #208437;
    min-width: 200px;
}

.studentword{
   /* background: linear-gradient(to bottom, #c9de96 0%,#8ab66b 11%,#398235 100%);*/
    background: #6db33f;
    font-size: 16px;
    /*text-shadow: 1px 1px grey;*/
    text-align: center;
}

.studentassementform{
    padding-top:10px;
    padding-bottom:5px;
    min-width: 400px;
}

.studentgradecontainer{
    display:table; 
    align-content: center;
}

.textbox{
    color:black;   
}

.subMenu{
    background:#6db33f;  
}

.socialMenu{
    width: 80px;
    height: 35px;
    padding-top:12px;
    padding-left:5px;
    padding-right:5px;
    border-radius: 5px;
}

.socialBtn{
    width: 25px;
    height: 25px;
    margin-top: 12px;
    margin-left: 5px;   
}

.main-content{
    margin-top: 1.5em;
    margin-bottom: 3em;
}

/**************
 Sidenav
 ********************************************************/
/**** left column stylesheet (SIDE) **/

.sideheader{
  text-align: left;
  border-bottom: 1px solid #bbbcbc;
  margin-bottom: 10px;
  font-weight: bold;
  font-size:18px;
  font-variant: small-caps;
}

#sidebox{

 border: 1px solid lightgray;
 padding: 1vh 2vh;
 margin: 1vh 0vh;
 text-align: left;
 box-sizing: content-box;
 background-color: white;
 border-radius: 5px;
}

.sidetitle{
  text-align: left;
  border-bottom: 1px solid #bbbcbc;
  margin-bottom: 5px;
  font-weight: bold;

}
.sidecontent{
  padding-left: 10px;
  padding-bottom: 10px;
}
.sidecontent p {
  border-bottom: 1px solid #bbbcbc;
  margin: 1px 0px;
  font-size: 15px;
}

div.sidecontent p a{
  color: green;
}

div.sidecontent p a:link {
  color: green;
  text-decoration: none;
}

div.sidecontent p a:hover {
  color: #f8981d;
  text-decoration: none;
}

/**********************************************************************
Forms
**********************************************************************/
.event-submission{
    max-width:600px;
    min-width: 600px;
    z-index: 1;
}

/**********************************************************************
Containers (news, events, etc)
**********************************************************************/

.div-event-header{
    background-color: #208437;
    padding-left: 5px;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
}

.event-type-dropdown{
    max-width: 25%;
    margin: 0;
}

.event-label{
    display: inline-block;
}

.event-date{
    max-width: 27%;
    margin-right: 5px;
    border: 5px;
}


input[type=number]::-webkit-inner-spin-button, 
input[type=number]::-webkit-outer-spin-button { 
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    margin: 0; 
}


.col-center{
    float: none;
    margin-left: 250px;
}

.news-title{
    color: white;
    font-size: 20px;
}

.div-event-container{
    border-radius: 5px;
    border-color: #208437;
    border-style: solid; 
    border-width: 1px;
    max-width: 650px;
    min-width: 650px;
    z-index: 1;
    background-color:white;
    /*opacity: 0.75;*/
}

.div-link-container{
    border-color: #208437;
    border-style: solid; 
    border-width: 1px;
    max-width: 250px;
    min-width: 250px;
    z-index: 1;
    background-color:beige;
}

.div-boilerplate{
    background-color:white;
    opacity:0.85;
    border-radius: 5px;
    /**
    margin-left: 15px;
    margin-right: 0px;
    margin-top: -51px;
    max-width: 275px;
    min-width: 50px;**/
    padding: 1.5em 1.5em 1em 1.5em;
    margin-bottom: 1em;
}

.p-boilerplate{
    font-size: 15px;
}

.p-boilerplate-header{
    font-size: 17px;
    text-align: center;
    border-bottom: solid 1px black;
}

.sidebar{
    position:absolute;
    margin-left: 15px;
}

.div-event-content{
    padding: 10px;
}

.p-info-box-title, .p-info-box-body{
    margin-left: 5px;
    margin-right: 5px;
    color: black;
}

.a-more-link{
    margin-left: 5px;
    margin-right: 5px;
}

.a-more-link:link{
    font-weight: bold;
}

.a-more-link:visited, .a-more-link:link, .a-news-link:link, .a-news-link:visited{
    color: #208437;
}

.a-more-link:hover, .a-news-link:hover{
    color: #6db33f;
    text-decoration: none;    
}

.a-news-link{
     padding-left: 5px;
     padding-right: 5px;
}

.p-info-box-title{
    padding-left: 5px;
    padding-right: 5px;
    font-size: 18px;
    text-align: left;
}

.box-shadow--2dp {
    box-shadow: 0 2px 2px 0 rgba(0, 0, 0, .14), 0 3px 1px -2px rgba(0, 0, 0, .2), 0 1px 5px 0 rgba(0, 0, 0, .12)
}

.container-graphicon{
    width:30px;
    height:auto;
}

.filter-icon-container{
    max-width: 40px;
    max-height: 40px;
    padding:0px;
    margin:3px;
}

.filter-icon-inactive{
    background-color: grey;
    
}

.filter-icon-active{
    background-color:#208437;
}

.filter-icon-active, .filter-icon-inactive{
    border-color: black;
    border-width: 1px;
    border-style: solid;
}

.filter-icon{
    width: 38px;
    height: auto;
    border-width: 0px;
    padding: 0px;
    margin: 0px;
}

.filter-form{
    margin:0px;
    padding:0px;
    width:30px;
    height: 30px;
    align-content: center;
}

.mouse-over-icon:hover{
    outline: none;
    border-style:solid;
    border-width: 1px;
    border-color: #9ecaed;
    box-shadow: 0 0 15px #9ecaed;
}

.black-text{
    color:black;
}

.login{
 padding: 10px;  

}

.login-container{
    max-width:300px;
    min-width: 300px;
    
    border-color: #208437;
    border-style: solid; 
    border-width: 1px;
    z-index: 1;
    background-color:beige;
}

/**********************************************************************
Technical Help
**********************************************************************/

.black-heading{
    color:black;
}

/**********************************************************************
Faculty Cards
**********************************************************************/
.faculty-div{
    margin-left: 20px;
    margin-right: 10px;
    min-width: 510px;
    max-width: 510px;
    max-height: 275px;
    min-height: 275px;
    padding:2px;
}

.faculty-info-div{
    padding: 2px;
    margin: 2px;
}

.faculty-table{
    text-align: left;
    margin: 0px;
    padding-left: 5px;
    padding-right: 5px;
}

.faculty-header{
    color:white;
    text-align: center;
    font-size: 13px;
}

.faculty-text{
    text-align: center;
    color:black;
}

/**********************************************************************
Background
**********************************************************************/

.background-container{
    margin: 0;
    padding: 0;
    background-attachment: fixed;
    background-color: beige;
    background-repeat: no-repeat;
    background-size: cover;
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    /*background-position: center center;
    background-size: 100%; */
   min-height: 100%;
   
}

.background-student1{
    /*background-image: url(../images/students/student2_small.png);*/
    background-image: url('https://www.toptal.com/designers/subtlepatterns/patterns/halftone.png');
  min-height: 100%;
}

.background-campus1{
    background-image: url(../images/students/campus1_mlarge_fade_bottom.png);
}

/**********************************************************************
FAQ
**********************************************************************/

.btn-info{
    color: beige;
    background-color: #208437;
    border-color: #208437;
    
}
.btn-info:hover{
    background-color: #28a745;
    border-color: #28a745;
}

.custom-panel-heading{
    font-size: 16px;
    color: white;
}

.panel-heading{
    background-color: #28a745 !important;
    padding: 10px 10px 0px 10px;
}

.panel{
    /**margin-bottom: -20px;**/
}

.panel-default{
    /**margin-bottom: -20px;**/
}

.panel-events{
    /*max-width: 1200px;
    min-width: 800px;
    margin-left: 100px;
    */
}

.resource-link:link, .resource-link:visited{
    font-style: oblique;
    font-weight: bold;
    color: #208437;
    text-decoration: none;

}

.clear{
    clear:both;
}

.resource-link:hover{
    font-style: oblique;
    color: #6db33f;
    font-weight:bold;
    /*text-shadow: 0 0 4px #208437;8 */
}
    
/**********************************************************************
Footer
**********************************************************************/
.admin-login{
    display: inline-block;
    text-align: right;
    /*align-content: right;*/
}

#footer {
    background-color: #212529 !important;
}

#footer p {
    margin: 0 auto !important;
}



@media (max-width: 767px) {
    .fb-page {
        visibility: hidden;
        display: none !important;
    }

}

/*****************************************
 * tech-help.php shim
 *****************************************/
.align-subheading{
    color: #208437;
    text-align: left;
    padding: 5px;
}

#details{
    font-size: medium;
}
.subheadingContainer{
    padding-left: 2em; 
}
    
.text-green {
    color: #28a745!important;
}

.bg-green {
    background-color: #28a745!important;
}
